/**
 * Flags used in rippled transactions.
 *
 * @note These are only flags which are utilized in Xpring SDK. For a complete list of flags, see: https://xrpl.org/transaction-common-fields.html#flags-field.
 */
declare class RippledFlags {
    static TF_PARTIAL_PAYMENT: number;
    /**
     * Check if the given flag is set in the given set of bit-flags.
     *
     * @param flag: The flag to check the presence of.
     * @param flags: The flags to check
     */
    static checkFlag(flag: number, flags: number): boolean;
}
export default RippledFlags;
