"use strict";
/* eslint-disable no-bitwise */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Flags used in rippled transactions.
 *
 * @note These are only flags which are utilized in Xpring SDK. For a complete list of flags, see: https://xrpl.org/transaction-common-fields.html#flags-field.
 */
class RippledFlags {
    /**
     * Check if the given flag is set in the given set of bit-flags.
     *
     * @param flag: The flag to check the presence of.
     * @param flags: The flags to check
     */
    static checkFlag(flag, flags) {
        return (flag & flags) === flag;
    }
}
RippledFlags.TF_PARTIAL_PAYMENT = 1 << 17;
exports.default = RippledFlags;
//# sourceMappingURL=rippled-flags.js.map